/*-------- Shop-------------*/
body.editor_enable
{
	.t_shop_ctg_desc_main
	{
		background-color:#ceceed;
	}
}
.shop_filter_resp
{
	display:none;
	cursor:pointer;
}
#products_grid_before .filter_close
{
	display:none;
	right: 10px;
	top: 4px;
	width: 30px;
	height: 30px;
	line-height: 27px;
}
.t_filter_slide
{
	width:300px !important;
	transition:0.5s !important;
	padding:15px !important;
	max-width: 100%;
}
.wrapwrap_trans
{
	margin-left:300px !important;
	transition:0.5s !important;	
}
.t_shop_before_h_section
{
	background-color:nth($f_color,18);
	padding-top:32px;
	padding-bottom:32px;
	text-align: center;
	background-position: center;
	
	h2
	{
		margin: 0;
		text-transform: uppercase;
	}
}
.oe_product.oe_grid 
{
	border:0px;
	.oe_product_image
	{
		@include position(relative,0,0,0,0);
		
		span
		{
			overflow: hidden;
			display: inline-block;
			width: 100%;
		}
		img
		{
			@include position(relative,0,0,0,0);
			@include container;
			max-width: 100%;
			-moz-transition: all .4s ease-out;
			-webkit-transition: all .4s ease-out;
			transition: all .4s ease-out;
		}
	}
	section
	{
		@include position(relative);
		padding: 4px 0 8px 0;
		overflow: visible;
	}
	.oe_product_cart
	{
		border: 1px solid $border-color;
		transition: border-color 0.5s ease;
		
		
		& section{
			padding: 10px 15px 10px 15px;	
			text-align: center;		
		}
	}
	h6
	{
		margin-bottom:0px;
		display: inline-block;
		position:relative;
		width:100%;
		padding-bottom: 8px;
		
		.product_name
		{
			@include spacing(0)
			@include text-ellipsis;
			max-width: 280px;
			-moz-transition:all 0.2s linear;
			-webkit-transition:all 0.2s linear;
			-o-transition:all 0.2s linear;
			width:100%;
			@include style(1,6)
			font-weight: 600;
			line-height: 24px;
			
			
			&:hover{
				color:nth($f_color,19);
			}
		}
	}
	
	&:hover .oe_product_image img
	{
		 -moz-transform: scale(1.1);
    	-webkit-transform: scale(1.1);
   		 transform: scale(1.1);
	} 
	
	.shop_itemscope_main{
		border: 2px solid transparent;
		transition: border-color 0.5s ease;
	}
	&:hover .shop_itemscope_main{
		@include border(2px,19,solid);
		box-shadow: 0px 0px 20px 1px rgba(0,0,0,0.1);

	}
}
.t_image
{
	width: 32.7%;
	padding: 8px 4px;
	display: inline-block;
	vertical-align: top;
}
.oe_grid .product_price
{
	position: relative;
	padding-top:0px;
	text-align: center;
	
	>b 
	{
		width:100%;
		display:inline-block;
		padding-bottom: 16px;
		color:nth($f_color,19);
	}
	
	& .btn.btn-secondary{
		//display:none !important;
		border-radius: 50%;
		margin: 0 4px;  /*padding: 10px 8px 10px 8px;*/
		display: inline-block;
		color:nth($f_color,20);
		width: 35px;
		height: 35px;
		vertical-align: middle;
		text-align: center;
		line-height: 33px;
		@include border(1px,11,solid)
		background: transparent;
		
		&:hover{
			background:nth($f_color,19);
			color:nth($f_color,5);
			border-color:nth($f_color,19);
			transition: all 0.4s linear;
		}
	}
	
}
@media (max-width:1063px)
{
	.oe_grid .product_price .btn.btn-secondary{
		margin:0 2px;
	}
	.oe_product .oe_grid .oe_product_cart section{
		padding: 10px 8px 10px 8px;
	}
}
@include media-breakpoint-down(md){
	.oe_product .product_price a.btn.btn-secondary.btn-sm.quick-view-a{
		display:none;
	}
}
.t_shop_cart_resp
{
	display:none;
}
/*.oe_product .product_price.bottom_animation{
	position: absolute !important;
	width: 100%;
	display: inline-block;
	background: #fff;
	left: 0;
	padding-bottom: 7px;
	border-top: 1px solid $border-color;
	padding-top: 7px;
	
	& b{display:none;}
	& a.btn.btn-secondary, button.btn.btn-secondary{
		display:block !important;
		float:left;
		padding: 8px;
		background: transparent;
		width: 25%;
		border-right: 1px solid $border-color;
		& span.fa{
			@include style(3,3);	
		}
		&:focus{
			box-shadow:none;
		}
	}
	& .btn.btn-secondary:last-child{
		border-right:none;
	}
}
.bottom_animation{
	-webkit-animation: animatebottom 1s;
	animation: animatebottom 1s;
	transition:1s;
}
@-webkit-keyframes animatebottom{
	from{bottom:-50px;opacity:0;} 
	to{bottom:0px;opacity:1;}
}
@keyframes animatebottom{
	from{bottom:-50px;opacity:0;} 
	to{bottom:0px;opacity:1;}
}*/

#products_grid.col-lg-12
{
	padding: 0;
}
.t_img
{
	@include width(auto,100%);
	@include container;
}
.oe_product .product_price del,.t_shop_del
{
	 color:nth($f_color,23) !important;
	 font-weight: normal;
}
.t_shop_breadcrumb
{
	text-align:center;

	.breadcrumb
	{
		padding-left: 0;
		padding-right: 0;
	
		li
		{
			display: inline;
			
			a
			{
				@include style(2,9,inherit);
			}
		}
	}
}
.t_shop_pager
{
	float: right;
	.page-item.disabled .page-link
	{
		background-color: transparent;
		border-color: transparent;
	}
	.page-link
	{
		border: none;
		background-color: transparent;
		padding: 0rem 0.75rem;	
		@include style(18,9,inherit);
	}
	.page-item.active .page-link
	{
		background-color: transparent;
		border-color: transparent;
		color:nth($f_color,3);
	}
	li.page-item
	{
		border-right: 1px solid #ccc;
	}
	li.page-item:last-child{
		border:none;
	}
}
.t_shop_pager.t_shop_pager_top
{
	    width: 100%;
    text-align: right;
    display: inline-block;
    float: none;
    
    > ul.pagination
    {
    	padding: 10px 0;
    }
    > ul , > .dropdown_sorty_by
    {
    		float: right;
    }
    .view_all_filter_div
    {
    	display: block;
    	width: 45%;
    	float: left;
		text-align: left;
		padding: 8px 0;
    }
}
.t_sort_div
{	
	justify-content: flex-end;
	width: 50%;
	display: inline-block;
	float: right;
	text-align: right;
}
.view_all_filter_div{
	width:45%;
	display:inline-block;
	& .view_filter_span{
		display:none;
		cursor: pointer;
		@include style(2,19,inherit);
	}
}
.view_all_filter_inner{
	display:none;
	margin-top:10px;
	
	& .attribute{
		display: inline-block;
		padding: 3px 6px;
		@include style(3,3,inherit,null,capitalize);
		position: relative;
		background-color: nth($f_color,17);
		margin: 0 10px 10px 0;
		
		& .clear_attr_a{
			padding: 5px 0px 5px 7px;
			cursor: pointer;
		}
	}
}
.t_ctg_h4
{
	@include style(2,2,inherit,null,uppercase);
	@include spacing(0);
	border-bottom:1px solid $border-color;
	padding-bottom: 16px;
}

#o_shop_collapse_category{
	.nav-item{
		& a{
			line-height:1;
		}
		& a.active{
			line-height:1;
		}
	}
	li i.fa
	{
		color:#969696 !important;
		font-size:nth($f_sizes,18);
	}
}
.t_shop_ctg_list{
	.nav-item{
		padding:4px 0;
		width: 100%;
		& a{
			@include style(1,25,inherit);
			padding-left:3px;
			@include width(90%,100%);
			white-space: nowrap;
			overflow: hidden;
			text-overflow: ellipsis;
			display: block;
			
			/*---transition effect-----*/
			transition-property: all;
			transition-duration: 0.5s;
			transition-timing-function: ease-out;
			transition-delay: 0s;
		}
		/*---for hover effect---*/
		& a.nav-link:hover{
			color: nth($f_color,19);
		}

		& a.active{
			background-color: transparent;
			@include style(2,3,inherit);
		}
		& i{
			float: right;
			padding-top: 2px;
		}
		& ul.nav-hierarchy{
			margin-top: 0.3rem;
			margin-left: 1rem;
		}
	}
}
.t_attr_title{
	@include style(1,6,inherit);
	padding-bottom: 5px;
	border-top: 1px solid #ccc;
	margin-top: 20px;
	padding-top: 15px;
	cursor: pointer;
	
	& .down-arrow{
		padding: 5px 5px 5px 0px;
	}
	& .clear_all_variant{
		float:right;
		display:none;
		color:nth($f_color,19) !important; /* use custom color for important*/ 
		font-size:11px; /*This size is not available in mixin so add custom size*/
		cursor: pointer;
		z-index:100;
	}
}
.clear_all_form_selection{
	display:none;
	float:right;
	cursor: pointer;
	@include style(3,19,inherit,null,capitalize);
	color:nth($f_color,19) !important; /* use custom color for important*/
}
.t_shop_attr_ul{
	.css_attribute_color{
		margin: 4px 6px 0px 0px;
		border:1px solid $border-color;
		width: 12px;
		height:12px;
		position: relative;
		
		[type="checkbox"]:not(:checked),
		[type="checkbox"]:checked {
	  		left : 0;
	  	}
	}
	.color-with-name-divmaxW{
		width:100%;
		display:inline-block;
		padding: 0.3rem 0rem 0.3rem 0.2rem;
	}
	> li.nav-item > ul{
		max-height: 125px;
		overflow: hidden;
		display: none;
		& li{
			width:100%;
			display:inline-block;
		}
	}
	> li.nav-item > select{
		display:none;
	}
	.view_more_attr, .view_less_attr{
		@include style(3,12,inherit,null,capitalize);
		cursor: pointer;
		display:none;
		width: 100px;
		padding: 0.2rem 0.6rem;
		border: 1px solid $border-color;
		
		i
		{
			font-size:0.65rem;
		}
	}
}
.color-name{
	display:inline-block;
	@include style(3,25,inherit,0.8,capitalize);
	cursor: pointer;
}
.css_attribute_color.active{
	border: 2px solid nth($f_color,19) !important;
}
.css_attribute_color input{
	margin:0px !important;
	cursor:pointer;
}
.t_sort_btn{
	@include style(3,3,inherit,0.7rem,capitalize);
	border:1px solid $border-color;
}
.sortby_dd_list{
	> a{
		padding: 0.45rem 0.8rem;
	}
}
.js_attributes{
	& .nav-item{
		& ul.nav-pills{
			margin-left:0;
			& label.nav-link{
				margin: 0 !important;
				padding: 0.3rem 0rem;
				@include position(relative,0,0,0,0);
				& span{
					@include style(3,25,inherit,null,capitalize);
				}
			}
			& label.active{
				background-color:transparent;
			}
		}
	}
	[type="checkbox"]:not(:checked),
	[type="checkbox"]:checked {
	  	@include position(absolute,auto,auto,auto,5px);
	  	-moz-appearance: none;
		width: 17px;
		height: 17px;
		opacity: 0.001;
		cursor:pointer;
		z-index: 9999;
	}
	[type="checkbox"]:not(:checked) + span,
	[type="checkbox"]:checked + span {
	  	position: relative;
	  	padding-left: 2.30em;
	  	cursor: pointer;
	}
	
	/*--------- checkbox aspect---------- */
	[type="checkbox"]:not(:checked) + span:before,
	[type="checkbox"]:checked + span:before {
	  	content: '';
	  	@include position(absolute,3px,auto,auto,7px);
	  	width: 12px; 
	  	height: 12px;
	  	@include border(1px,11,solid);
	  	background: #fff;
	  	border-radius: 1px;
	}
	/*-------------- checked mark aspect-------------- */
	[type="checkbox"]:not(:checked) + span:after,
	[type="checkbox"]:checked + span:after {
	  	content: '';
	  	@include position(absolute,6px,auto,auto,10px);
	  	transition: all .2s;
	  	background-color:nth($f_color,12);
	  	width: 6px;
		height: 6px;
	}
	/*----------- checked mark aspect changes------------- */
	[type="checkbox"]:not(:checked) + span:after {
	  	opacity: 0;
	  	transform: scale(0);
	}
	[type="checkbox"]:checked + span:after {
	  	opacity: 1;
	  	transform: scale(1);
	}
}
.shop_rating{
	& .stars{
		margin: 0 2px;
		& i{
			@include style(3,19);
			font-size:11px; /*This size is not available in mixin so add custom size*/
			margin: -2px;
			margin-right: 0 !important;
		}	
	}
	& .o_rating_star_card{
		margin:2px 0 3px 0;
	}
}
#products_grid{
	& .css_editable_display{
		@include style(12,3,inherit,null,capitalize);
	}
}
/*---------Shop List View--------*/
.oe_list{
	padding:0 0 15px 0 !important;
	margin-bottom: 20px;
		.oe_product_image
		{
			@include position(relative,0,0,0,0);
		
			span
			{
				overflow: hidden;
				display: inline-block;
				width: 100%;
			}
			img
			{
				@include position(relative,0,0,0,0);
		 	}
	 	}
		.shop_itemscope_main{
			width: 100%;
			display: inline-block;
			position:relative;
			
			.oe_product_image{
				float: left;
				margin-right:20px;
			}
		#products_addons{
			display: block !important;
			position: relative;
			width: 60%;
			float: left;
			.addons_a{
				border-bottom:0;
				padding: 10px 15px 5px 5px;
				vertical-align: top;
			}
		}
		section{
			h6 {
				margin-bottom:0;
			}
			.product_name
			{
				@include style(1,6,inherit,null,capitalize);
				@include spacing(0)
				@include text-ellipsis;
				max-width: 280px;
				width:100%;
			}
			width: 60%;
			float: left;
			.product_price{
				position: relative;
				padding-top:0;
			}
			.oe_subdescription{
				@include style(3,1)
				margin-bottom:5px;
			}
			b{
				width: 100%;
				display: inline-block;
				padding: 5px 0 5px 0;
				margin-bottom: 8px;
			}
			
			a.btn.btn-secondary, button.btn.btn-secondary{
				padding: 8px 13px;
				margin-right:5px;
				@include border(1px,11,solid )
				background: transparent;

				& span.fa{
					color:nth($f_color,3);	
				}
				&:focus{
					box-shadow:none;
				}
			}
		}
	}
	&:last-child {
		border:0 !important;
	}
}

/*------No product defined.-------*/
#products_grid 
{	
	.oe_product.t_no_products
		{
			padding: 3rem 0;
			p
			{
				font-size:nth($f_sizes,7);
			}
			p.t_extra_text
			{
				font-size:nth($f_sizes,3);
			}
	}
}
/*----Product lable style------*/
.oe_product{
    .ribbon-wrapper {
        right:unset;
        display:block;
        width:100%;
    }
}
.label_div{
    display: inline-block;
    width: auto;
    @include style(9,5,inherit,unset,uppercase)
    background-color: nth($f_color,19);
    padding: 3.5px 6px;
    @include position(absolute,10px,unset,unset,10px)
    max-width: 20px;
    height: 21px;
    overflow: hidden;
    transition: all 0.5s ease;
    z-index: 99;
    div{
        opacity: 0;
    }
}
.shop_itemscope_main {
    &:hover .label_div{
        max-width: 100%;
        transition: all 600ms ease;
      
        div{
            opacity: 1;
            transition: all 500ms ease;
        }
    }
}
/*----------- SUGGESTED PRODUCTS-----------------*/
.t_cart_sugg_h5
{
	text-transform:uppercase;
}
#suggested_products
{
	.td-product_name a
	{
		margin-bottom: 4px;
		display: inline-block;
		font-family:inherit;
		@include spacing(0,0);
		color:nth($f_color,3);
		
		strong
		{
			font-weight: normal;
		}
	}
	.td-product_name  .text-muted
	{
	font-size:nth($f_sizes,3);
	}
	.js_add_suggested_products
	{
		@include style(2,6,inherit,null,capitalize);
		border-bottom: $input-border-width solid $input-border-color;
		padding-left:0;
		padding-right:0;
		
		strong
		{
			font-weight:normal;
		}
	}
	.td-price
	{
		del
		{
			color:nth($f_color,15) !important; 
			span
			{
				color:nth($f_color,15) !important; 
			}
		}
		span
		{
			color:nth($f_color,3) !important; 
		}
	}
}
/*-------------------------- PAYMENT ---------------------*/
.oe_website_sale > .row > .col-12 .wizard
{
	margin-bottom: 32px;
	display: inline-block;
	width: 100%;
} 
.t_confirm_products
{
	tbody > tr
	{
		width: 100%;
		position: relative;
		
		td
		{
			vertical-align: top !important;
			border: 0;
		}
	}
	.td-product_name strong
	{
		font-weight:normal;
		line-height: 1.5rem;
	}
	.t_checkout_prod_attr_lines .t_attr_span
	{
		font-size: nth($f_sizes,18);
	}
	thead th
	{
		text-transform:capitalize;
	}
}
.attr-bracket {
    display: inline-block;
    font-size: nth($f_sizes,18);
}
.t_checkout_prod_attr_lines
{
	display:inline-block;
	width:100%;

	& .t_attr_span
	{
		@include style(3,6,inherit,null,capitalize);
	}
}
.oe_cart h3
{
	font-family:inherit;
	text-transform: capitalize;
	@include spacing(0,0);
	
	>strong
	{
		font-weight:normal;
	}
}
#payment_method form.o_payment_form .card
{
	margin-bottom:16px;
}
.oe_accept_cgv_button > label
{
	@include style(3,2,inherit);
	margin-top: 8px;
}
.address-inline
{
	 color:nth($f_color,2);
}
#shipping_and_billing,.t_confirm_order_card > .card-body
{
	> div
	{
		margin-bottom:8px;
		
		> b
		{
			font-weight: normal;
			padding-right: 4px;
			font-family:inherit;
		}
	}
}
.t_page_header
{
	font-family:inherit;
	
	small
	{
		font-family:inherit;
		font-size: 70%;
	}
	.t_checkout_login_link
	{
		border: $input-border-width solid $input-border-color;
		margin-top: 0 !important;
		padding: 3px 10px;
		vertical-align: bottom;
		font-size:nth($f_sizes,1);
	}
}
/*------------------- CHECKOUT FORM-------------------*/
.form-group > .form-control 
{
	&:focus
	{
		box-shadow: none;
		border-color: #000;
	}
}
.form-group
{
	.was-validated .form-control:invalid, .form-control.is-invalid, .was-validated .custom-select:invalid, .custom-select.is-invalid
	{
		border-color: $red;
	}
}
form.checkout_autoformat
{
	& label.col-form-label
	{
		font-weight: normal;
		@include style(3,1,inherit,null,uppercase);
	}
	.checkbox
	{
		margin: 16px 0;
		
		& label
		{
			font-weight: normal;
			font-family: inherit;
			
			#shipping_use_same
			{
				vertical-align: sub;
			}
		}
	}
	.div_name,#div_email,#div_phone,.div_street,.div_city,.div_country,.div_state
	{
		>label:after
		{
			content:'*';
			padding:2px;
		}
	}
}
/*----------------------- CHECKOUT ADDRESS -------------------*/
.all_shipping .t_add_address
{
	@include style(2,19,inherit,null,uppercase);
	border: 0;
	background: 0;
	text-align: right;
}
.t_alert_info
{
	background-color: #f5f5f5;
	
	& .t_alert_signup_text
	{
		@include style(3,19,inherit,null,uppercase);
	}
}
.thanks_msg
{
	& h2
	{
		@include style(19,3,inherit);
		@include spacing(0);
	}
}
.oe_website_sale_tx_status
{
	.card 
	{
		& .card-header span
		{
			color: #f2f2d9;
		}
	}
	.card-body
	{
		& h4
		{
			@include style(2,6,inherit);
			@include spacing(0);
		}
		& p
		{
			color: inherit;
			font-size:nth($f_sizes,3);
		}
	}
}
/*---------------- CART POPOVER -----------------*/
.mycart-popover
{
	border:0;
	box-shadow: 0px 0px 10px 0 rgba(50, 50, 93, 0.1);
	padding:15px;
	
	h3.popover-header
	{
		display:none;
	}
	.cart_line
	{
		padding:12px 0;
		border-bottom:1px solid #f5f5f5;
		
		& .t_cart_popover_qty
		{
			display:inline-block;
			@include style(2,6,inherit);
		}
		& .t_cart_popover_price
		{
			display:inline-block;
			
			> span
			{
				@include style(2,19,inherit);
			}
		}
		& .t_cart_popover_p_name
		{
			@include style(2,6,inherit);
		}
		.t_cp_goto_product i
		{
			transition: all 0.4s ease;
		}
		&:hover .t_cp_goto_product i
		{
			 transform: translate(5px,0);
		    -webkit-transform: translate(5px,0); /** Chrome & Safari **/
		    -o-transform: translate(5px,0); /** Opera **/
		    -moz-transform: translate(5px,0); /** Firefox **/
		 	color:theme-color('primary');
		}
	}
	#order_total_untaxed,#order_total_taxes
	{
		display:none;
	}
	#order_total td
	{
		border:0;
		
		strong
		{
			@include style(8,6,inherit);
		}
	}
	.arrow
	{
		display:none;
	}
}
/*---------PRODUCT CART POPOVER--------*/
#product_detail .oe_optional_products_modal
{
	.t_table_popover
	{
		tr.js_product
		{
			.td-product_name
			{
				> .float-right
				{
					    float: left !important;
				}
			}
		}
	}
}
.t_pro_text_name
{
	padding-top:8px;
	font-size:nth($f_sizes,18);
}
.t_product_quantity
{ 
	.input-group-prepend,.input-group-append
	{ 
		.js_add_cart_json
		{
			border: 1px solid #ced4da; 
		        background-color: #ffffff;
			color:nth($f_color,13);
			z-index: 0;
		}        
	}
}
.small_text_apt
{
	padding-top: 4px;
}
.t_table_popover 
{	
	th
	{
		border-top:none;
	}
}
.t_prod_name
{
	font-weight: normal;
}
.t_table_popover 
{
	.o_select_options 
	{
		.cart_popover_title
		{	
			@include style(7,13,inherit);
			font-weight: normal;
		}
	}
} 
.oe_optional_products_modal
{	 
	.table-striped tbody tr:nth-of-type(2n+1)
	{
		background-color: #ffffff;
	}
}
.text-center 
{
	.t_shop_del_price
	{
		color:nth($f_color,9);
		text-align: right;
	}
}
#product_detail 
{
	.modal-title
	{
		
		@include style(4,13,inherit,null,uppercase);
		font-weight: normal;
		
	}
	.modal-dialog .t_table_popover tr td.td-price
	{
		text-align: right !important;
	}
}
.t_table_popover 
{
	.oe_price
	{
		font-family: inherit;
		text-align: right;
		display: block;
	}
}
.t_cart_icon
{
	text-align: right;
	display: block;	
	color:nth($f_color,19);
	padding-bottom: 4px;
	margin-top: 8px;
}
/*--------------- Shop Cart Popover and List View Cart Popover --------------*/
#products_grid
{
	.t_image,.oe_list
	{
		.modal-title
		{
			
			@include style(4,13,inherit,null,uppercase);
			font-weight: normal;
			
		}
		.t_table_popover tr td.td-price
		{
			text-align: right !important;
		}
		.js_add_cart_variants
		{
			margin-top:16px;
			
			.col-form-label
			{
				padding-top:0;
				
				span
				{
					font-weight:normal;
				}
			}
			.css_attribute_color
			{
				width: 17px;
				height: 17px;
				@include border-radius(50%);
				@include border(2,27,solid);
				
				  input {
			        margin: 0;
			        height:0;
			    }
			    &.active {
			        @include border(2,19,solid)
			    }
			    &.active input {
			        margin: 0;
			    }
			}
			>li
			{
				margin-bottom:16px;
			}
			>li:last-child
			{
				margin-bottom:0;
			}
			>li.variant_attribute 
			{
				h6
				{
					font-weight: bold;
					color:nth($f_color,3);
					height: unset;
				}
			}	
		}
		ul ul {
	    	margin-left: 0;
		}
	}		
}

/*--------------- Quick View--------------*/
.mask
{
	background-color: #fff;
	width: 100%;
	height:100%;
	display: none;
	z-index: 9990;
	opacity: 0.6;
	@include position(fixed,0,auto,auto,0);
}
.product_quick_view_class
{
	width:100%;
	background-color:#fff;
	z-index:9997;
	border-bottom: 2px solid theme-color('primary');
	overflow:auto;
	max-height:100%;
	 padding: 16px 0;
	 @include position(fixed,0,auto,auto,0);
	 
	 .container
	 {
	 	position:relative;
	 	
	 	
	 	& .product_detail_img
	 	{
	 		max-height:500px;
	 	}
	 }
	 @include media-breakpoint-up(lg)
	{
		.carousel-outer
		{
			width: 85%;
			display: block;
			@include position(relative);
			float:right;
		}
		#carousel-pager
		{
			margin: 16px 0;
		}
	}
}
.t_close {
    z-index: 2;
    height: 34px;
    width: 34px;
    background-color: #fff;
    box-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.15);
    border: solid 1px rgba(0, 0, 0, 0.06);
    border-radius: 50%;
    line-height: 32px;
    color: #878787;
    display: block;
    text-align: center;
    cursor: pointer;
    @include position(absolute,0,0,auto,auto);
}
/*--------------- Wishlist--------------*/
.t_product_wishlist{
	margin-left: 4px;
	background: transparent;
	
	&:focus
	{
		box-shadow:none;
	}
}
.t_wish_img{
	@include container;
	@include width(auto,100%);
}
.t_wish_h3{
	font-weight: normal;
	font-size:nth($f_sizes,12);
	text-transform: uppercase; 
}
.wishlist-section{
	input#b2b_wish
	{
		display: inline-block;
		vertical-align: top;
	}
	#o_comparelist_table
	{
		border: 0;
		
		tbody
		{
			text-align:left;
		}
	}
	> .checkbox
	{
		margin: 0 1%;
		
		label
		{
			margin-bottom:0;
		}
	}
	[type="checkbox"]:not(:checked),
	[type="checkbox"]:checked {
	  	@include position(absolute,auto,auto,auto,5px);
	  	-moz-appearance: none;
		width: 17px;
		height: 17px;
		opacity: 0.001;
		cursor:pointer;
		z-index: 9999;
	}
	[type="checkbox"]:not(:checked) + span,
	[type="checkbox"]:checked + span {
	  	position: relative;
	  	padding-left: 2.30em;
	  	cursor: pointer;
	}
	
	/* checkbox aspect */
	[type="checkbox"]:not(:checked) + span:before,
	[type="checkbox"]:checked + span:before {
	  	content: '';
	  	@include position(absolute,0px,auto,auto,7px);
	  	width: 14px; 
	  	height: 14px;
	  	@include border(1px,11,solid);
	  	background: #fff;
	  	border-radius: 1px;
	}
	/* checked mark aspect */
	[type="checkbox"]:not(:checked) + span:after,
	[type="checkbox"]:checked + span:after {
	  	content: '';
	  	@include position(absolute,4px,auto,auto,11px);
	  	transition: all .2s;
	  	background-color:nth($f_color,12);
	  	width: 6px;
		height: 6px;
	}
	/* checked mark aspect changes */
	[type="checkbox"]:not(:checked) + span:after {
	  	opacity: 0;
	  	transform: scale(0);
	}
	[type="checkbox"]:checked + span:after {
	  	opacity: 1;
	  	transform: scale(1);
	}
}
.t_fav_product_main {
    display: inline-block;
    width: 31%;
    border:1px solid $border-color;
    padding: 14px;
	margin: 1%;
	transition: all .3s;
	-webkit-transition:all .3s;
    
    &:hover
			{
				border: 1px solid nth($f_color,19);
			}
    
    .t_w_img {
	    display: inline-block;
	    width: 22%;
	    border: 0;
	    padding: 0;   
	}
	.t_w_detail
	{
		display: inline-block;
		width: 75%;
		border: 0;
		padding-top: 0;
		padding-bottom: 0;
		
		& .t_wish_name
		{
			a
			{	
				@include style(1,2,inherit);
				@include spacing(0);
				@include text-ellipsis;
				max-width: 90%;
			}
		}
	}
	.t_wish_btn
	{
		.btn
		{
			padding:0;
			margin-right:8px;
			@include style(3,2,inherit,null,capitalize);
			vertical-align: top;
		}
	}
	.t_wish_price
	{
		font-size:nth($f_sizes,3);
	}
}

/*--------------- Product --------------*/
#product_details 
{
	.js_add_cart_variants
	{
		margin-top:16px;
		
		.col-form-label
		{
			padding-top:0;
			padding-bottom: 8px;
			
			span
			{
				font-weight:normal;
			}
		}
		.css_attribute_color
		{
			width: 17px;
			height: 17px;
			border-radius: 50%;
			@include border(2px,27,solid);
			box-shadow: 0px 1px 2px 1px rgba(3,3,3,.1);
			
			  input {
		        margin: 0;
		        height:0;
		    }
		    &.active {
		        @include border(2px,19,solid)
		    }
		    &.active input {
		        margin: 0;
		    }
		}
		.badge.badge-pill
		{
			  color:nth($f_color,5);
			  font-weight: normal;
			  font-size:nth($f_sizes,18);
		}
		>li
		{
			margin-bottom:16px;
		}
		>li:last-child
		{
			margin-bottom:0;
		}
	}
	ul ul {
    	margin-left: 0;
	}
	.product_price >h4
	{
		@include spacing(0);
		font-family:inherit;
	}
	#add_to_cart
	{
		padding: 0.675rem 3rem;
	}
	.css_not_available.js_product > :nth-child(4) > * {
    	display: block;
	}
}
#product_details.col-12
{
	margin-right: 8px;
}
.t_product_brand_img
{
	max-height: 100px;
	border: 1px solid $border-color;
}
.t_product_brand_desc
{
	font-size:nth($f_sizes,3)
}
h1.t_product_name
{
	
	@include style(4,3,inherit);
	@include spacing(0);
}
.t_prod_desc
{
	@include style(1,1,inherit);
}

.t_show_more_multi_img
{
	display: none;
	@include position(absolute,430px,auto,auto,auto);
	width: 80px;
	text-align: center;
	font-size: nth($f_sizes,15);
	cursor:pointer;
}
#o-carousel-product .carousel-indicators
{
	height: auto !important;
	display:none;
}
#o-carousel-product .carousel-indicators li
{
	margin: 0 4px !important;
}
.t_a2c_divider
{
	width: 100%;
	display: inline-block;
}
#add_to_cart
{
	&:before
	{
	 content: ' ';
	  display: block;
	}
}
.discount .oe_default_price {
    display: inline-block;
    color:#888888 !important;
    font-size:nth($f_sizes,7);
}
.t_product_breadcrumb
{
	text-align:left;
	
	.breadcrumb
	{
		padding-left:0;
		padding-right:0;
		li.breadcrumb-item
		{
			display:inline;
			
			> a
			{
				@include style(2,9,inherit);
			}
			
		}
	}
}

#o-carousel-product .carousel-indicators li .img{
	border:1px solid $border-color;
	opacity:1;
}
#product_details .js_product .js_add_cart_variants li.variant_attribute h6{
	font-weight: bold;
	color:nth($f_color,3);
}
#product_details .js_product .product_price h4.oe_price_h4{
	color:nth($f_color,19);
}
#product_details h1.t_product_name{
	font-size:nth($f_sizes,12); 
}
/*------------------Tab Section----------------*/
.tabs_container_main{
	padding-top:3%;
	.row
	{
		border-bottom: 1px solid #ededed; 
		@include media-breakpoint-down(sm)
		{
			border:0px;
		}
	}
	ul#t_product_tabs
	{
		padding:0;
		list-style-type: none;
		margin-bottom:0;
		z-index: 9;
		display:block; 
		margin:0 auto;
			
		li
		{	
			display: inline-block;
			margin-right: -4px;
			cursor:pointer;
			
			a
			{
				padding:0rem 1.5rem;
				display: inline-block;
				@include style(2,16,inherit,null,uppercase);
				margin-bottom: -1px;				
				letter-spacing: 1px;
				font-weight: 600;
				
				&:after{
					margin-top:10px;
					content: '';
					width: 0;
					height: 3px;
					display: block;
					background-color: nth($f_color,19);	
					transition: width .3s ease-in-out;
				}
			
				&:hover
				{
					color:nth($f_color,20);
				
					&:after
					{
						margin-top:10px;
						content: '';
						width: 100%;
						height: 3px;
						display: block;
						background-color: nth($f_color,19);
					}
				}
			}
			
			a.current_tab
			{
				color:nth($f_color,20);
				&:after 
				{
					margin-top:10px;
					content: '';
					width: 100%;
					height: 3px;
					display: block;
					background-color: nth($f_color,19);
				}
			}
			a.inactive
			{
				//border-top: 1px solid #ddd;
				border-bottom: 0px solid #ddd;
				//background: #F5F5F5;
			}
			
		}
	}
	.specification_li, .rating_review_li{
		display:none !important;
	}	
	.specification_li.active, .rating_review_li.active{
		display:inline-block !important;
	}	
}
#product_full_spec > h3
{
	display:none;
}
.t_product_tab.container
{
	//border: 1px solid #ddd;
}

.t_product_tab.o_shop_discussion_rating{
	hr{
		display:none;
	}
	.col-lg-8.offset-lg-2{
		margin-left:0;
	}
	.o_website_rating_card_container{
		padding-top:15px;
		.col-lg-3.offset-lg-2{
			margin-left:0;
			.o_website_rating_avg{
				text-align:left !important;
			}
		}
	}
}
.t_product_tab.content_animation{
	display:block;
	@include animation-icon(0,0.5s, fadeInDown, ease, 1,both);
}
#product_full_description{
	padding-bottom: 30px;
	padding-top: 30px;
}
/*-----------------Alternative products----------------*/
.recommended_product_slider_main{
	.alternative_product_main{
		width:48%;
		display:inline-block;
		margin-right:15px;
		vertical-align: top;
		margin-top:5%;
	}
	.accessory_product_main{
		width:48%;
		display:inline-block;
		margin-left:15px;
		vertical-align: top;
		margin-top:5%;
	}
	.t_product_alt_h3{
		@include style(1,3,inherit,null,uppercase);
		@include spacing(0);
	}
}
.oe_product 
{
	&:hover .alt_detail_section h6 a
	{
		transform: none;
	}
}
.theme_carousel_common{
	.carousel-control-prev{
		width: 15px;
		top: 0;
		bottom: auto;
		right: 30px;
		left: auto;
		cursor: pointer;
		.carousel-control-prev-icon{
			color:nth($f_color,19);
		}
	}
	.carousel-control-next{
		width: 15px;
		top: 0;
		bottom: auto;
		right: 8px;
		left: auto;
		cursor: pointer;
		.carousel-control-next-icon{
			color:nth($f_color,19);
		}
	}
	.carousel-inner{
		margin-top:10px;
	}
	.carousel-item{
		.prod_details{
			width:48%;
			display:inline-block;
			margin-right:1%;
			vertical-align: top;
			
				.oe_product_image
				{
					@include position(relative,0,0,0,0);
					
					.new_span
					{
						overflow: hidden;
						display: inline-block;
						width: 100%;
					}
					img
					{
						@include position(relative,0,0,0,0);
						@include container;
						max-width: 100%;
						-moz-transition: all .4s ease-out;
						-webkit-transition: all .4s ease-out;
						transition: all .4s ease-out;
					}
				}
				section
				{
					@include position(relative);
					padding: 10px 15px 5px 15px;		
					display: inline-block;
					width:100%;
					background: #fff;	
				}
				.prod_name{
					@include style(2,22,inherit,null,capitalize);
				}
				.product_price {
				    position: relative;
				    padding: 0;
				}
				h6 .product_name
				{
					@include style(1,6)
				}
				&:hover .oe_product_image
				{
				opacity: 0.5;
				transition: all 1s ease 0s;
				}
				&:hover .oe_product_image img
				{
					 -moz-transform: scale(1.1);
			    	-webkit-transform: scale(1.1);
			   		 transform: scale(1.1);
				} 
		}
	}	
	}
/*----------------Alternative and accesories Slider --------------- */
	#myCarousel_alt_prod,#myCarousel_acce_prod
	{
		.carousel-inner .carousel-item-left.active {
			transform: translateX(-50%);
		}
		.carousel-inner .carousel-item-right.active {
		  	transform: translateX(50%);
		}
		.carousel-inner .carousel-item-next {
		  	transform: translateX(50%)
		}
		.carousel-inner .carousel-item-prev {
		  	transform: translateX(-50%)
		}
		.carousel-inner .carousel-item-right,
		.carousel-inner .carousel-item-left{ 
		  	transform: translateX(0);
		}
	}

	
/*--------------- Compare --------------*/
.t_product_compare
{
	float:left;
	margin-left: 4px;
	background: transparent;
}
/*------Specification----*/
.t_product_spec table
{
	tr:first-child
	{
		td
		{
			border:0;
		}
	}
	tr.breadcrumb
	{
		border-bottom: 1px solid #000;
		padding: 0;
		margin-bottom: 0;
		cursor: pointer;
		
		>th
		{
			border: 0;
			@include style(2,9,inherit,null,uppercase);
			@include spacing(1px,0);
		}
	}
}
.o_product_comparison_table > span {
	width:100%;
	display:inline-block;

}
.recom_prod_heading{
	padding-bottom:10px;
}
.specification_main{
	padding-top:15px;
	h3{
		text-align: left !important;
		@include style(1,6,inherit,null,capitalize);
	}
}
#myCarousel_alt_prod{
	>div a.btn.btn-primary{
		background: #fff;
		@include style(3,3,inherit,null,capitalize);
		padding:0;
		margin-left:10px;
	}
}
#o_comparelist_table.t_compare_table {
    border: 0 !important;
    width:auto;
    
	thead {
		td {
			border: 0!important;
		}
	}

	tbody {
		tr {
			td {
				border: 0!important;
				@include style(3,7,inherit)
				&:first-child {
					text-align:left;
					@include style(3,3,inherit)
				}
			}
		}
		.clickable {
			th {
				font-weight: normal;
				@include style(2,6,inherit,inherit,uppercase)
				@include spacing(0.03rem)
			}
		}
	}

	.t_close {
		height: 29px;
    	width: 29px;
    	line-height: 27px;

    	strong {
	    	font-size: 12px;
    	}
	}
}
.Compare_Products_heading {
	text-transform:uppercase;
	@include border(0 0 1px 0,17,solid)
}
/*-------------product name font--------------*/
.product_name_compare {
	@include style(2,21,inherit)
    margin: 8px 0 8px 0 !important;
}
/*-----------to toggle between show more link------------*/
.morecontent {
    display: none;
}
.morelink {
    text-decoration: underline;
}

/*--------Cart---------*/
.t_cart_banner
{
	@include container;
	@include width(auto,100%);
}
.t_cart_table 
{
	thead th {
		border-bottom: 0; 
		border-top: 0;	
	}
	.td-img
	{
		text-align:left;
	}
	.td-product_name > div >a
	{
		margin-bottom: 4px;
		display: inline-block;
		@include spacing(0,0);
		@include style(2,3,inherit)
		
		strong
		{
			font-weight: normal;
		}
	}
	td.td-price
	{
		@include style(2,6,inherit);
		text-align: right !important;
		
		del
		{
			font-family:inherit;
		}
	}
	.css_quantity
	{
		.input-group-prepend,.input-group-append
		{
			border:$input-border-width solid $input-border-color;
		}
	}
	.td-qty {
    	width: 200px;
	}
}
#cart_total
{
	td.text-right
	{
		text-align:left !important;
	}
}
.toggle_summary
{
	cursor: pointer;
}
.table thead th
{
	font-weight: normal;
	text-transform:uppercase;
}
.t_cart_del
{
	 color:nth($f_color,4);
}
.js_cart_summary > .card-body > h4
{
	text-transform:uppercase;	
	text-align: right;
}
.card.js_cart_summary,.t_cart_summary_card
{
	border:0;
	box-shadow: 0px 0px 10px 0 rgba(50, 50, 93, 0.1);
				
	#cart_total
	{
		text-align:right;
	}
}
.t_show_cpn
{
	border:0;
	cursor:pointer;
	padding:0;
}
.t_cart_prod_attr_lines 
{
	width:100%;

	& .t_attr_span
	{
		@include style(3,2,inherit,null,capitalize);
	}
}
.t_rmv_cart_product a
{
	@include style(18,4,inherit);
	border-bottom:1px solid;
	padding-bottom:3px;
}
body .modal.o_technical_modal .btn:not(.o_btn_preview).btn-primary {
    background-color: nth($f_color,19);
    border-color: nth($f_color,19);
    
    &:hover
    {
    	 background-color: nth($f_color,19);
   		 border-color: nth($f_color,19);
    }
}
body .modal.o_technical_modal .btn:not(.o_btn_preview)
{
	padding: 0.375rem 0.55rem;
}
body .modal.o_technical_modal a:not(.o_btn_preview)
{
	color: nth($f_color,19);
}
body .modal.o_technical_modal .btn:not(.o_btn_preview).btn-secondary
{
	color: nth($f_color,19);
}
.js_cart_lines.t_empty_cart
{
	padding: 16px;
	font-size:nth($f_sizes,19);
	border: 1px solid $border-color;
}

/*-------------Extra Icon Details------------*/

#product_detail
{
	.oe_structure
	{
		@include media-breakpoint-down(lg)
		{
			width:100%;
		}
	}
}
.t_icon_column
{
	max-width: 260px;
	padding:0;

	@include media-breakpoint-down(lg)
	{
		margin-top:32px;
		max-width: 100%;
	}
	.t_icon_block
	{
		border-bottom:2px solid #eaeaea;
		padding: 25px 23px 19px;

		.t_extra_icon
		{
			color:nth($f_color,20);
			float:left;
			width:30%;
			font-size:2.5rem;
			padding-right: 18px;
			
			@include media-breakpoint-down(lg){
				width: 10%;
			}
			@include media-breakpoint-down(md){
				width: 15%;
			}
			@include media-breakpoint-down(sm){
				width: 20%;
			}
			@media (max-width:300px){
				width:25%;
			}
				
		}
		.t_icon_content
		{
			width:auto;
			overflow: hidden;
			h5{
				a{
					@include style(2,10);
					margin-bottom: 4px;
					&:hover{
						color:nth($f_color,19);
					}
				}
			}
			p{
				@include style(18,2);
			}
		}
		&:hover
		{
			span
			{
				@include animation-icon(0s, 0.3s, bounceIn, ease-out, 1);	
			}
		}
	}
	.t_icon_block:last-child()
	{
		border-bottom:0px solid #eaeaea;
	}
	.t_icon_block_extra
	{
		margin-top:32px;
		background-color: #21dd71;
		.t_extra_icon
		{
			color:nth($f_color,5);	
		}
		.t_icon_content
		{ 
			h4 
			{
				@include style(2,5,inherit,unset,uppercase);
			}
		
		}
		.t_icon_content_phone
		{
			p
			{
				@include style(10,5);
			}
		}
		@include media-breakpoint-down(lg)
		{
			display:none;
		}
	}
	.accordion 
	{
		.card
		{
			@include border(2px,8,solid);
			.card-header
			{
				background-color: transparent;
				@include style(7,3,null,null,capitalize);
				border-bottom:0px solid #eaeaea;
				
				&:before
				{
					content: "\2012";
					padding-right: 20px;
				}
			}
			.card-header.collapsed
			{
				&:before
				{
					content: "\002B";	
				}
			}
			.card-body
			{
				padding:0px;
			}
			.t_extra_header
			{
				background: nth($f_color,18);
				padding: 15px;
			}
		}
	}
}
/*----------------- Price Filter -----------------*/
.price_filter_main_div
{
	.price_filter_head
	{
		color: nth($f_color,6);
		padding-bottom: 5px;
		border-top: 1px solid nth($f_color,11);
		margin-top: 20px;
		padding-top: 15px;
		cursor: pointer;
	
		i
		{
			padding: 5px 5px 5px 0px;
		}
	}
	.price_filter_amount
	{
		padding: 0.3rem 0rem;
		
		span
		{
			@include style(3,6)
		}
	}
}

/*------- Form submit Error Message -------*/ 
.price_error_message {
	display: block;
    margin-top: 8px;
	line-height: 130%;
	color: #721c24; 	/*This color is not used in variables*/ 
	padding: 0.75rem 1.25rem;
    background-color: #f8d7da; /*This color is not used in variables*/ 
    border-color: #f5c6cb;  /*This color is not used in variables*/ 
    @include border-radius(0.25rem);
}
/*--------------Slider style changes------------*/
.filter-price {
  	border: 0;
  	padding: 0;
  	margin: 0; 
	
	> input
	{
		font-size: nth($f_sizes,1);
		@include box-shadow(0 4px 10px 0 rgba(3, 3, 3, 0.1))
		border: 0;
		cursor: pointer;
		text-transform: capitalize;
	}
}
.price-title {
  	@include position(relative);
  	@include style(2,3);
  	line-height: 1.2em;
  	font-weight: 400;
}
.price-wrap {
  	display: flex;
  	justify-content: center;
	@include style(2,3);
  	line-height: 1.2em;
  	font-weight: 400;
  	margin-bottom: 7px;

	.price-wrap_line
	{
		color: nth($f_color,6);
	}
}
.price-wrap-1,.price-wrap-2 {
  	display: flex;
}
.price-title {
  	margin-right: 5px;
  	backgrund: #d58e32; /*This color is not used in variables*/ 
}
.price-wrap_line {
  	margin: 0 15px;
}
.price-wrap #price_range_min_value,.price-wrap #price_range_max_value 
{
  	@include width(auto,50px);
  	text-align: center;
  	margin: 0;
  	padding: 0;
  	background: nth($f_color,27);
  	border: 0;
  	outline: 0;
  	@include style(2,3);
  	line-height: 1.2em;
  	font-weight: 400;
  	border-bottom: 1px solid  nth($f_color,11);
}
.price-wrap label {
  	text-align: right;
	color: nth($f_color,6);
}
